<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     */
    public function up(): void
    {
        $sql = <<<'SQL'
            CREATE TABLE mfm_meters (
                id					BIGINT GENERATED always AS IDENTITY PRIMARY KEY,
                plant_id            BIGINT NOT NULL,

                sequence		    TEXT NOT NULL,
                name                TEXT NOT NULL,

                created_at			TIMESTAMP NOT NULL DEFAULT NOW(),
                updated_at			TIMESTAMP NOT NULL DEFAULT NOW(),
                deleted_at			TIMESTAMP,

                created_by			TEXT NULL,

                UNIQUE (plant_id, sequence),
                UNIQUE (plant_id, name),
                FOREIGN KEY (plant_id)      REFERENCES  plants (id)

            );
        SQL;

        DB::statement($sql);
    }

    /**
     * Reverse the migrations.
     */
    public function down(): void
    {
        Schema::dropIfExists('mfm_meters');
    }
};
